Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] sys-fs/cryptsetup flags
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
bigbanana69
Tux's lil' helper
Tux's lil' helper


Joined: 10 Jul 2017
Posts: 109
Location: Skopje

PostPosted: Sat Mar 16, 2019 5:32 pm    Post subject: [SOLVED] sys-fs/cryptsetup flags Reply with quote

Hi,

I'm trying to install xfce4 (at first xfce-base/xfce4-meta xfce-extra/xfce4-notifyd) and I'm getting "error" something like unsatisfied flags for sys-fs/cryptsetup also PYTHON_TARGET flags.

I did
Code:
nano -w /etc/portage/package.use/cryptsetup

sys-fs/cryptsetup gcrypt nls nettle openssl udev -kernel -libressl -pwquality -python -reencrypt -static -static-libs -urandom PYTHON_TARGETS: python2_7 python3_6 -python3_4 -python3_5 -python3_7


I also tried PYTHON_SINGLE_TARGET: python3_6
& python_targets_python2_7 python_targets_python3_6.

But didn't worked. So please help.
_________________
You are not using computers if you are not using Gentoo.
Back to top
View user's profile Send private message
ct85711
Veteran
Veteran


Joined: 27 Sep 2005
Posts: 1692

PostPosted: Sat Mar 16, 2019 5:39 pm    Post subject: Reply with quote

You need to give us the full output from portage, so we know what it is actually complaining about. It is very easy to get confused on what it is actually complaining about.
Back to top
View user's profile Send private message
bigbanana69
Tux's lil' helper
Tux's lil' helper


Joined: 10 Jul 2017
Posts: 109
Location: Skopje

PostPosted: Sat Mar 16, 2019 5:52 pm    Post subject: Reply with quote

I don't know how to transfer the output which in on laptop in terminal, and this is pc where I'm writing.

Basically it says that the use flags for sys-fs/cryptsetup are not satisfied and shows USE="gcrypt nls nettle openssl udev -kernel -libressl -pwquality -python -reencrypt -static -static-libs -urandom" (which I had put in the /etc/portage/package.use/cryptsetup) and it complains about PYTHON_TARGETS="python2_7 python3_6 -python3_4 -python3_5 -python3_7" (which I wasn't sure how to input them in /etc/portage/package.use/cryptsetup).

I read https://wiki.gentoo.org/wiki//etc/portage/package.use and according to that article, I tried to put the PYTHON_TARGETS in /etc/portage/package.use/cryptsetup as I wrote previously (also tried with PYTHON_SINGLE_TARGET: python3_6).
_________________
You are not using computers if you are not using Gentoo.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21340
Location: here

PostPosted: Sat Mar 16, 2019 6:01 pm    Post subject: Reply with quote

bigbanana69 wrote:
I don't know how to transfer the output which in on laptop in terminal, and this is pc where I'm writing.

https://wiki.gentoo.org/wiki/Wgetpaste
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
bigbanana69
Tux's lil' helper
Tux's lil' helper


Joined: 10 Jul 2017
Posts: 109
Location: Skopje

PostPosted: Sat Mar 16, 2019 7:23 pm    Post subject: Reply with quote

http://dpaste.com/0C50NX7
_________________
You are not using computers if you are not using Gentoo.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21340
Location: here

PostPosted: Sun Mar 17, 2019 12:57 pm    Post subject: Reply with quote

Code:
  The following REQUIRED_USE flag constraints are unsatisfied:
    exactly-one-of ( gcrypt kernel nettle openssl )

You can have only one of these use flags enabled
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
pablo_supertux
Advocate
Advocate


Joined: 25 Jan 2004
Posts: 2734
Location: Somewhere between reality and Middle-Earth and in Freiburg (Germany)

PostPosted: Sun Mar 17, 2019 12:59 pm    Post subject: Reply with quote

The important piece of information in the log is

Code:

 The following REQUIRED_USE flag constraints are unsatisfied:
    exactly-one-of ( gcrypt kernel nettle openssl )


you have the flags gcrypt, nettle and openssl enabled and the constraint is exactly-one-of. On my system only gcrypt is enabled, so I'd disable the other two.

And since you've disabled the python flag, the PYTHON_TARGETS are not important, because of

Code:

python? ( any-of ( python_targets_python2_7 python_targets_python3_4 python_targets_python3_5 python_targets_python3_6 python_targets_python3_7 ) )


which requires python targets when the python flag is enabled.
_________________
A! Elbereth Gilthoniel!
silivren penna míriel
o menel aglar elenath,
Gilthoniel, A! Elbereth!
Back to top
View user's profile Send private message
bigbanana69
Tux's lil' helper
Tux's lil' helper


Joined: 10 Jul 2017
Posts: 109
Location: Skopje

PostPosted: Sun Mar 17, 2019 2:09 pm    Post subject: Reply with quote

Ok, so I just did:

Code:
nano -w /etc/portage/package.use/cryptsetup


Code:
sys-fs/cryptsetup gcrypt -nls -nettle -openssl -udev -kernel -libressl -pwquality -python -reencrypt -static -static-libs -urandom


and now
Code:
emerge --ask xfce-base/xfce4-meta xfce-extra/xfce4-notifyd
works.

Thanks.
_________________
You are not using computers if you are not using Gentoo.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum